Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.user
Class POP3UserProvider

    java.lang.Object
      org.jivesoftware.openfire.user.DefaultUserProvider
          org.jivesoftware.openfire.user.POP3UserProvider

All Implemented Interfaces:
  UserProvider

    public class POP3UserProvider

extends DefaultUserProvider

A UserProvider to be used in conjunction with `POP3AuthProvider`, which authenticates using a POP3 server. New user accounts will automatically be created as needed (upon successful initial authentication) and are subsequently treated as read-only (for the most part). To enable this provider, edit the XML config file and set:

     <provider>
         <auth>
             <className>org.jivesoftware.openfire.auth.POP3AuthProvider</className>
         </auth>
         <user>
             <className>org.jivesoftware.openfire.user.POP3UserProvider</className>
         </user>
     </provider>

Author:
  Sean Meiners
See Also:
  `POP3AuthProvider`

Constructor Summary
`POP3UserProvider()`

Method Summary
`void` | `setEmail(String username, String email)` Sets the user's email address.

Methods inherited from class org.jivesoftware.openfire.user.DefaultUserProvider
`createUser, deleteUser, findUsers, findUsers, getSearchFields, getUserCount, getUsernames, getUsers, getUsers, isEmailRequired, isNameRequired, isReadOnly, loadUser, setCreationDate, setModificationDate, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POP3UserProvider

    public POP3UserProvider()

Method Detail

### setEmail

    public void setEmail(String username,
                         String email)
                  throws UserNotFoundException

  Description copied from interface: `UserProvider`
  Sets the user's email address. This method should throw an UnsupportedOperationException if this operation is not supported by the backend user store.

  Specified by:
    `setEmail` in interface `UserProvider`
  Overrides:
    `setEmail` in class `DefaultUserProvider`
  Parameters:
    `username` - the username.
    `email` - the email address.
  Throws:
    `UserNotFoundException` - if the user could not be found.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.